Bug 147 - smb,conf documentation
smb,conf documentation
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.0preX
Other other
: P3 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-05 04:20 UTC by David Lee
Modified: 2005-08-24 10:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Lee 2003-06-05 04:20:43 UTC
I spotted a few things in the smb.conf(5) manpage (CVS/SAMBA_3_0 from couple of
days ago):

1. "encrypt passwords" refers to "ENCRYPTION.txt", but there seems to be no
   such file;

2. "ntlm auth" seems to be out of alphabetic sequence;

3. "wtmp directory" seems to be out of alaphetic sequence;

4. "passdb backend" examples include a "guest", apparently as another backend,
   but the preceeding description doesn't describe such a backend.  (Or should it
   have been a ":"-separated argument?)

More generally, is there somesort of "transition document" from 2.x to 3.x?
For instance, the default for "encrypt passwords" has changed from "no" to "yes"
and it would be useful if such changes were reasonably prominent in (say)
"WHATSNEW.txt".
Comment 1 Jelmer Vernooij 2003-06-10 12:25:50 UTC
fixed, except for 2 and 3. What do you mean with 'alphabetic sequence' ? All
parameters are in alphabetic order here...
Comment 2 David Lee 2003-06-11 01:51:54 UTC
That was alpha24.

In beta1, I suspect a more fundamental problem:  htmldocs/smb.conf.5.html
has shrunk from ~20,000 lines to under 300!  And manpages/smb.conf.5 has shrunk
from nearly 7,500 lines to less than 500.  The beta version seem somewhat devoid
of parameter descriptions.

(I understand that these versions (html, man) are auto-derived from a higher-level
source of documentation.  I guess something somewhere is wrong in this process.)

Hope that helps.
Comment 3 Jelmer Vernooij 2003-06-17 04:37:05 UTC
smb.conf is generated correctly in CVS now. 
Comment 4 Gerald (Jerry) Carter 2005-02-07 07:57:24 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:26:50 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.